# $Revision: 1.22 $, $Date: 2009/10/12 15:48:15 $
Summary:	mkfontdir application - create an index of X font files in a directory
Summary(pl.UTF-8):	Aplikacja mkfontdir - tworzenie indeksu plików fontów X w katalogu
Name:		xorg-app-mkfontdir
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/mkfontdir-%{version}.tar.bz2
# Source0-md5:	9365ac66d19186eaf030482d312fca06
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-util-util-macros >= 1.3
Requires:	xorg-app-mkfontscale
#BuildArch:	noarch but automake doesn't like it
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mkfontdir creates the fonts.dir files needed by the legacy X server
core font system. The current implementation is a simple wrapper
script around the mkfontscale program, which must be installed first.

%description -l pl.UTF-8
mkfontdir tworzy pliki fonts.dir wymagane przez stary system fontów
serwera X. Aktualna implementacja to prosty skrypt obudowujący program
mkfontscale, który musi być wcześniej zainstalowany.

%prep
%setup -q -n mkfontdir-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/mkfontdir
%{_mandir}/man1/mkfontdir.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-mkfontdir.spec,v $
Revision 1.22  2009/10/12 15:48:15  qboosh
- updated util-macros version
- added README to doc, better descs

Revision 1.21  2009/10/11 09:32:27  arekm
- up to 1.0.5

Revision 1.20  2008/03/06 22:02:20  arekm
- up to 1.0.4

Revision 1.19  2007/03/31 20:49:42  qboosh
- real description from man page

Revision 1.18  2007/03/22 06:56:35  arekm
- up to 1.0.3

Revision 1.17  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.15  2006/10/15 11:36:18  qboosh
- more verbose files

Revision 1.14  2006/04/02 09:23:45  arekm
- up to 1.0.1

Revision 1.13  2006/01/10 14:15:35  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.12  2005/12/09 11:31:37  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.11  2005/12/05 00:18:46  qboosh
- R: mkfontscale (just a wrapper)

Revision 1.10  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.9  2005/10/21 14:06:57  qboosh
- no autoheader

Revision 1.8  2005/10/21 14:06:40  qboosh
- reverted, configure fails

Revision 1.7  2005/10/21 14:05:21  qboosh
- noarch

Revision 1.6  2005/10/21 13:53:31  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 17:01:11  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- release 0.02

* Sun Aug  7 2005 17:54:48  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
